## com.lowagie.text.rtf
Class RtfTOCEntry

    java.lang.Object
      com.lowagie.text.Chunk
          com.lowagie.text.rtf.RtfTOCEntry

All Implemented Interfaces:
  Element, MarkupAttributes, RtfField

Deprecated. Please move to the RtfWriter2 and associated classes. com.lowagie.text.rtf.field.RtfTOCEntry replaces the functionality of this class.

    public class RtfTOCEntry

extends Chunk
implements RtfField

This class can be used to insert entries for a table of contents into the RTF document. ONLY FOR USE WITH THE RtfWriter NOT with the RtfWriter2. This class is based on the RtfWriter-package from Mark Hall.

Version:
  $Revision: 1.24 $Date: 2006/09/12 12:16:35 $
Author:
  Steffen.Stundzig (Steffen.Stundzig@smb-tec.com)

Field Summary
`private Font` `contentFont` Deprecated.
`private Font` `entryFont` Deprecated.
`private java.lang.String` `entryName` Deprecated.
`private boolean` `hidePageNumber` Deprecated.
`private boolean` `hideText` Deprecated.

Fields inherited from class com.lowagie.text.Chunk
`ACTION, attributes, BACKGROUND, COLOR, content, ENCODING, font, GENERICTAG, HSCALE, HYPHENATION, IMAGE, LOCALDESTINATION, LOCALGOTO, markupAttributes, NEWLINE, NEWPAGE, NEXTPAGE, OBJECT_REPLACEMENT_CHARACTER, PDFANNOTATION, REMOTEGOTO, SKEW, SPLITCHARACTER, SUBSUPSCRIPT, TEXTRENDERMODE, UNDERLINE`

Constructor Summary
`RtfTOCEntry(java.lang.String content, Font contentFont)` Deprecated. Constructs an entry for the Table of Contents
`RtfTOCEntry(java.lang.String content, Font contentFont, java.lang.String entryName, Font entryFont)` Deprecated. Constructs an entry for the Table of Contents

Method Summary
`void` `hidePageNumber()` Deprecated. sets the hidePageNumber value to true
`void` `hideText()` Deprecated. sets the hideText value to true
`void` `write(RtfWriter writer, java.io.OutputStream out)` Deprecated. Writes an RTF field.
`private void` `writeField(java.io.OutputStream out)` Deprecated.

Methods inherited from class com.lowagie.text.Chunk

`addToArray, append, content, font, getAttributes, getChunks, getHorizontalScaling, getImage, getKeySet, getMarkupAttribute, getMarkupAttributeNames, getMarkupAttributes, getTextRise, getWidthPoint, hasAttributes, isEmpty, isTag, process, setAction, setAnchor, setAnchor, setAnnotation, setBackground, setBackground, setFont, setGenericTag, setHorizontalScaling, setHyphenation, setLocalDestination, setLocalGoto, setMarkupAttribute, setMarkupAttributes, setNewPage, setRemoteGoto, setRemoteGoto, setSkew, setSplitCharacter, setTextRenderMode, setTextRise, setUnderline, setUnderline, toString, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### hideText

    private boolean hideText

  Deprecated.

### hidePageNumber

    private boolean hidePageNumber

  Deprecated.

### entryName

    private java.lang.String entryName

  Deprecated.

### entryFont

    private Font entryFont

  Deprecated.

### contentFont

    private Font contentFont

  Deprecated.

Constructor Detail

### RtfTOCEntry

    public RtfTOCEntry(java.lang.String content,
                       Font contentFont)

  Deprecated.
  Constructs an entry for the Table of Contents

  Parameters:
    `content` - the content of the entry
    `contentFont` - the font

### RtfTOCEntry

    public RtfTOCEntry(java.lang.String content,
                       Font contentFont,
                       java.lang.String entryName,
                       Font entryFont)

  Deprecated.
  Constructs an entry for the Table of Contents

  Parameters:
    `content` - the content of the entry
    `contentFont` - the font
    `entryName` - name of the entry
    `entryFont` - font of the entryname

Method Detail

### write

    public void write(RtfWriter writer,
                      java.io.OutputStream out)
               throws java.io.IOException

  Deprecated.
  Description copied from interface: `RtfField`
  Writes an RTF field.

  Specified by:
    `write` in interface `RtfField`
  Throws:
    `java.io.IOException`
  See Also:
    `RtfField.write(com.lowagie.text.rtf.RtfWriter, java.io.OutputStream)`

### writeField

    private void writeField(java.io.OutputStream out)
                     throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### hideText

    public void hideText()

  Deprecated.
  sets the hideText value to true

### hidePageNumber

    public void hidePageNumber()

  Deprecated.
  sets the hidePageNumber value to true